### Function

# Dex resolver_lookup_by_address

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_resolver_lookup_by_address (
      GResolver* resolver,
      GInetAddress* address
    )

#### Description [src]

Wraps `g_resolver_lookup_by_address_async()`.

Available since: 1.2

#### Parameters

`resolver`

  Type: `GResolver`

  A `GResolver`.

  The data is owned by the caller of the function.

`address`

  Type: `GInetAddress`

  A `GInetAddress`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a hostname string or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.